Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Principal.cpp File Reference

`#include "Principal.h"`
`#include "CDR.h"`

Include dependency graph for Principal.cpp:

## Functions
CORBA::Boolean | operator<< (TAO_OutputCDR &cdr, CORBA::Principal *x)
CORBA::Boolean | operator>> (TAO_InputCDR &cdr, CORBA::Principal *&x)

## Function Documentation

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | cdr,
|  | CORBA::Principal * | x
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | cdr,
|  | CORBA::Principal *& | x
| ) |